app-id: finance.reckoner.Reckoner
runtime: org.freedesktop.Platform
runtime-version: "23.08"
sdk: org.freedesktop.Sdk
# Need this extension for ayatana-ido build
sdk-extensions:
  - org.freedesktop.Sdk.Extension.vala
build-options:
  append-path: "/usr/lib/sdk/vala/bin"
  prepend-ld-library-path: "/usr/lib/sdk/vala/lib"
command: reckoner
separate-locales: false
finish-args:
  - --socket=fallback-x11
  - --socket=wayland
  - --share=network
  - --share=ipc
  - --device=dri
  # Default backup location
  - --filesystem=xdg-documents
  # Secret Service
  - --talk-name=org.freedesktop.secrets
  # Permissions for desktop system tray
  - --talk-name=org.kde.StatusNotifierWatcher
modules:
  - name: reckoner
    buildsystem: simple
    build-commands:
      - mkdir -p ${FLATPAK_DEST}/bin ${FLATPAK_DEST}/reckoner
      - install -Dm644 reckoner-git/linux/flatpak/${FLATPAK_ID}.png -t ${FLATPAK_DEST}/share/icons/hicolor/512x512/apps/
      - install -Dm644 reckoner-git/linux/flatpak/${FLATPAK_ID}.desktop -t ${FLATPAK_DEST}/share/applications/
      - install -Dm644 reckoner-git/linux/flatpak/${FLATPAK_ID}.appdata.xml -t ${FLATPAK_DEST}/share/appdata/
      - cp -R bundle/* ${FLATPAK_DEST}/reckoner/
      - ln -s ${FLATPAK_DEST}/reckoner/reckoner ${FLATPAK_DEST}/bin/reckoner
    sources:
      - type: archive
        only-arches: [x86_64]
        dest: bundle
        path: ../../release/reckoner-2.0.2-linux-x86_64.tar.gz
      - type: dir
        dest: reckoner-git
        path: ../../
  # Needed for file picker
  - name: zenity
    buildsystem: meson
    sources:
      - type: archive
        url: https://download.gnome.org/sources/zenity/3.41/zenity-3.41.0.tar.xz
        sha256: 19b676c3510e22badfcc3204062d432ba537402f5e0ae26128c0d90c954037e1
  # Needed for system_tray
  - libayatana-appindicator3-0.1.yml
  # Needed for secret management
  - module-libsecret.yaml
